Bug 965890 - [RFE] Allow adapter parameters to be set per-document
[RFE] Allow adapter parameters to be set per-document
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.0
Assigned To: David Mason
Ding-Yi Chen
:
Depends On:
Blocks: 901401
  Show dependency treegraph
 
Reported: 2013-05-21 18:47 EDT by David Mason
Modified: 2013-11-26 22:34 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.0.0-alpha-2-SNAPSHOT (20130710-1218)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:24:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2013-05-21 18:47:52 EDT
Description of problem:
Some documents of the same type may need to be handled differently in order to be parsed sensibly by Zanata. There is no consistent way to make an automated decision about how to treat each document, so it is necessary to allow parsing behaviour to be set and stored per-document.

 - sensible defaults should be used for each document type
 - a dialog should be available when uploading a document to set parameters for parsing
 - a dialog should be available to maintainers to change the parameters for an existing document
 - changing parameters for an existing document should trigger re-parsing of the document to update the source strings. A warning should be shown with an opportunity to cancel the parameter change, or to proceed with re-parsing.
Comment 1 David Mason 2013-05-28 20:22:29 EDT
Added ability to set parameters during source document upload through the website, for new and existing source documents.

See: https://github.com/zanata/zanata-server/compare/ba524f24fa11217695c57749a901ddca115e59d5...59de919de78fead47f3db1f4da00121f25c91079

Not yet implemented (will move to separate bugs):
 - setting parameters during upload from cli and maven client
 - dialog to change parameters without an upload (with re-parsing)
Comment 2 David Mason 2013-05-28 21:38:41 EDT
Moved additional features to separate feature requests.
Comment 5 Ding-Yi Chen 2013-07-10 21:47:17 EDT
VERIFIED with Zanata version 3.0.0-alpha-2-SNAPSHOT (20130710-1218)
Comment 6 Sean Flanigan 2013-11-26 22:14:25 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:16:11 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:17:50 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:24:06 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 10 Sean Flanigan 2013-11-26 22:32:27 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 11 Sean Flanigan 2013-11-26 22:34:43 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.